Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class ValveInterceptor

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.portlet.aspects.portlet.ValveInterceptor

All Implemented Interfaces:
  PortletInvoker

    public class ValveInterceptor

extends PortletInvokerInterceptor

This aspect has two responsabilities :

- continue the request only if the portlet container valve is open. When the valve is closed, it will return an unavailable response to the caller. When the valve is open then the current thread of execution enters the valve for the duration of the call.
- if the response from the next aspect is an unavailable result, stop the container in order to destroy the portlet and implement this part of the portlet specification.

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Constructor Summary
`ValveInterceptor()`

Method Summary
`PortletApplicationRegistry` | `getPortletApplicationRegistry()`
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`void` | `setPortletApplicationRegistry(PortletApplicationRegistry portletApplicationRegistry)`

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`createClone, destroyClones, getNext, getPortlet, getPortlets, getProperties, getProperties, setNext, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValveInterceptor

    public ValveInterceptor()

Method Detail

### getPortletApplicationRegistry

    public PortletApplicationRegistry getPortletApplicationRegistry()

### setPortletApplicationRegistry

    public void setPortletApplicationRegistry(PortletApplicationRegistry portletApplicationRegistry)

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws java.lang.IllegalArgumentException,
                                            PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Overrides:
    `invoke` in class `PortletInvokerInterceptor`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `java.lang.IllegalArgumentException` - if the invocation is null
    `PortletInvokerException` - a portlet invoker exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.